apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.26.0 (40646f47)
  creationTimestamp: null
  labels:
    io.kompose.service: onlyoffice-postgresql
  name: onlyoffice-postgresql
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: onlyoffice-postgresql
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.26.0 (40646f47)
      creationTimestamp: null
      labels:
        io.kompose.service: onlyoffice-postgresql
    spec:
      containers:
        - env:
            - name: POSTGRES_DB
              value: onlyoffice
            - name: POSTGRES_HOST_AUTH_METHOD
              value: trust
            - name: POSTGRES_USER
              value: onlyoffice
          image: postgres:12
          name: onlyoffice-postgresql
          ports:
            - containerPort: 5432
          resources: {}
          volumeMounts:
            - mountPath: /var/lib/postgresql
              name: postgresql-data
      restartPolicy: Always
      volumes:
        - name: postgresql-data
          persistentVolumeClaim:
            claimName: postgresql-data
status: {}
